importing fails on weird operatingsystemrelease
Status: Closed   

Priority: Low   

Assignee: Greg Sutcliffe   

Category: Facts   

Target version: 1.2.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

I'm currently doing some development to get cisco switches under puppet management. Some of those devices report their

operatingsystemrelease as '12.2(55)SE5'. When trying to push those facts to foreman with the push_facts script, the first push emits

the following message and fails to populate the overview values like OS and version:

Started POST "/fact_values/create?format=yml" for 10.1.105.39 at 2013-04-04 13:47:52 +0000

  Processing by FactValuesController#create as YML

  Parameters: {"facts"=>"[FILTERED]"}

No smart proxy server found on []

Failed to save switch.example.com: Validation failed: Minor is not a number

Rendered text template (0.0ms)

Completed 200 OK in 175ms (Views: 0.9ms | ActiveRecord: 67.2ms)

 I've confirmed that (manually) setting the operatingsystemrelease to '12.2.(55)SE5' results in a properly populated host.

Associated revisions

Revision fe838fad - 05/23/2013 08:23 AM - Greg Sutcliffe

Fixes #2372 - Strip non-digit characters from non-numeric OS versions

Revision d666ad55 - 05/28/2013 12:05 PM - Greg Sutcliffe

Fixes #2372 - Strip non-digit characters from non-numeric OS versions

(cherry picked from commit fe838fad64723c17a4f69d37355927214cba4592)

History

#1 - 05/13/2013 08:20 AM - Josh Baird

- File aix-facts.txt added

Hitting this problem with AIX as well.  Facts are attached.

#2 - 05/13/2013 08:23 AM - Ohad Levy

- Category set to Facts

- Target version set to 1.2.0

#3 - 05/13/2013 11:24 AM - Greg Sutcliffe

- Status changed from New to Assigned

- Assignee set to Greg Sutcliffe

#4 - 05/17/2013 07:38 AM - Greg Sutcliffe

- Status changed from Assigned to Ready For Testing

https://github.com/theforeman/foreman/pull/621
#5 - 05/23/2013 09:17 AM - Greg Sutcliffe

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset fe838fad64723c17a4f69d37355927214cba4592.

Files

aix-facts.txt 3.21 KB 05/13/2013 Josh Baird
